package com.chaozhanggui.dao.system.dao;

import com.chaozhanggui.dao.system.entity.TbPlussDeviceVoiceBoxMsg;
import com.chaozhanggui.dao.system.entity.TbPlussDeviceVoiceBoxMsgWithBLOBs;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Component;

@Component
@Mapper
public interface TbPlussDeviceVoiceBoxMsgMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TbPlussDeviceVoiceBoxMsgWithBLOBs record);

    int insertSelective(TbPlussDeviceVoiceBoxMsgWithBLOBs record);

    TbPlussDeviceVoiceBoxMsgWithBLOBs selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TbPlussDeviceVoiceBoxMsgWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(TbPlussDeviceVoiceBoxMsgWithBLOBs record);

    int updateByPrimaryKey(TbPlussDeviceVoiceBoxMsg record);
}